NCTHWM(4)

NAME
ncthwm - Hardware monitoring controller on Nuvoton Super I/Os

SYNOPSIS
device ncthwm
device superio

DESCRIPTION
The ncthwm is a driver for hardware monitoring controller that can be found in Nuvoton Super I/O chips. It expose fan speed via sysctl(8).

The ncthwm driver supports the following chips:

•   Nuvoton NCT6779
•   Nuvoton NCT6796D-E

SYSCTL VARIABLES
These variables are available as read-only sysctl(8) variables:

dev.ncthwm.0.CPUFAN
    CPU fan speed in RPM.

dev.ncthwm.0.SYSFAN
    System fan speed in RPM.

dev.ncthwm.0.AUXFAN0
    AUX0 fan speed in RPM.

dev.ncthwm.0.AUXFAN1
    AUX1 fan speed in RPM.

dev.ncthwm.0.AUXFAN2
    AUX2 fan speed in RPM.

HISTORY
The driver first appeared in FreeBSD 14.0.

AUTHORS
The driver was initially written by Stéphane Rochoy <stephane.rochoy@stormshield.eu>.